Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 2882813002: media: Convert mojo media defines to buildflags (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 2 weeks ago by xhwang
Modified:
4 months, 1 week ago
Reviewers:
jrummell, brettw
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, posciak+watch_chromium.org, creis+watch_chromium.org, qsr+mojo_chromium.org, Aaron Boodman, Peter Beverloo, lcwu+watch_chromium.org, nasko+codewatch_chromium.org, jam, yzshen+watch_chromium.org, abarth-chromium, feature-media-reviews_chromium.org, darin-cc_chromium.org, halliwell+watch_chromium.org, piman+watch_chromium.org, alokp+watch_chromium.org, darin (slow to review), viettrungluu+watch_chromium.org, jochen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

media: Convert mojo media defines to buildflags BUG=596252 TEST=No functionality change CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2882813002 Cr-Commit-Position: refs/heads/master@{#473421} Committed: https://chromium.googlesource.com/chromium/src/+/db24d60f03a20d0efbe35a390def732c6105b403

Patch Set 1 #

Patch Set 2 : media: Convert mojo media defines to buildflags #

Patch Set 3 : more fix #

Patch Set 4 : rebase only #

Patch Set 5 : rebase fix #

Patch Set 6 : media: Convert mojo media defines to buildflags #

Patch Set 7 : media: Convert mojo media defines to buildflags #

Patch Set 8 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+184 lines, -159 lines) Patch
M chrome/browser/BUILD.gn View 1 2 3 4 5 6 7 2 chunks +1 line, -1 line 0 comments Download
M chrome/browser/chrome_content_browser_client.cc View 1 2 3 4 5 6 7 5 chunks +9 lines, -8 lines 0 comments Download
M chromecast/browser/cast_content_browser_client.cc View 1 2 3 6 chunks +7 lines, -6 lines 0 comments Download
M content/browser/BUILD.gn View 1 2 3 4 5 6 7 2 chunks +1 line, -4 lines 0 comments Download
M content/browser/browser_main_loop.cc View 1 2 3 4 5 6 7 3 chunks +3 lines, -2 lines 0 comments Download
M content/browser/media/encrypted_media_browsertest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M content/browser/media/media_interface_proxy.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M content/browser/renderer_host/render_process_host_browsertest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M content/browser/service_manager/service_manager_context.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -1 line 0 comments Download
M content/browser/webrtc/webrtc_capture_from_element_browsertest.cc View 1 chunk +2 lines, -1 line 0 comments Download
M content/gpu/BUILD.gn View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M content/gpu/gpu_service_factory.h View 2 chunks +2 lines, -1 line 0 comments Download
M content/gpu/gpu_service_factory.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M content/renderer/BUILD.gn View 1 2 3 4 5 6 7 3 chunks +2 lines, -8 lines 0 comments Download
M content/renderer/render_frame_impl.h View 1 2 3 4 5 6 7 3 chunks +3 lines, -2 lines 0 comments Download
M content/renderer/render_frame_impl.cc View 1 2 3 4 5 6 7 7 chunks +11 lines, -11 lines 0 comments Download
M content/shell/BUILD.gn View 1 2 3 4 5 6 7 2 chunks +1 line, -4 lines 0 comments Download
M content/shell/browser/shell_content_browser_client.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M content/shell/renderer/shell_content_renderer_client.h View 2 chunks +2 lines, -1 line 0 comments Download
M content/shell/renderer/shell_content_renderer_client.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M content/utility/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M content/utility/utility_service_factory.cc View 1 2 3 4 5 6 7 3 chunks +4 lines, -2 lines 0 comments Download
M media/gpu/BUILD.gn View 1 2 3 4 5 6 7 2 chunks +2 lines, -1 line 0 comments Download
M media/gpu/android_video_decode_accelerator.cc View 1 2 3 4 5 6 7 5 chunks +6 lines, -5 lines 0 comments Download
M media/mojo/BUILD.gn View 1 chunk +60 lines, -0 lines 0 comments Download
M media/mojo/clients/BUILD.gn View 1 2 3 1 chunk +1 line, -2 lines 0 comments Download
M media/mojo/clients/mojo_cdm_factory.cc View 2 chunks +2 lines, -1 line 0 comments Download
M media/mojo/clients/mojo_decoder_factory.cc View 3 chunks +3 lines, -2 lines 0 comments Download
M media/mojo/services/BUILD.gn View 2 chunks +1 line, -45 lines 0 comments Download
M media/mojo/services/interface_factory_impl.h View 2 chunks +13 lines, -12 lines 0 comments Download
M media/mojo/services/interface_factory_impl.cc View 1 2 3 4 5 6 7 8 chunks +22 lines, -22 lines 0 comments Download
M media/mojo/services/media_service_unittest.cc View 5 chunks +6 lines, -5 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 52 (42 generated)
xhwang
rebase only
4 months, 1 week ago (2017-05-15 20:43:41 UTC) #14
xhwang
jrummell: PTAL from media's perspective brettw: PTAL from gn/buildflag's perspective
4 months, 1 week ago (2017-05-16 16:50:35 UTC) #33
jrummell
lgtm
4 months, 1 week ago (2017-05-16 21:23:34 UTC) #37
brettw
lgtm
4 months, 1 week ago (2017-05-19 21:07:54 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2882813002/120001
4 months, 1 week ago (2017-05-19 21:10:54 UTC) #40
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/389138)
4 months, 1 week ago (2017-05-19 22:30:17 UTC) #42
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2882813002/120001
4 months, 1 week ago (2017-05-19 22:31:46 UTC) #44
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/442977)
4 months, 1 week ago (2017-05-19 22:41:01 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2882813002/140001
4 months, 1 week ago (2017-05-20 04:27:58 UTC) #49
commit-bot: I haz the power
4 months, 1 week ago (2017-05-20 06:32:40 UTC) #52
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/db24d60f03a20d0efbe35a390def...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b